PROGRAM select_example

  IMPLICIT NONE
  INTEGER :: i 

  PRINT*, 'Enter an integer'
  READ*, i
 
  SELECT CASE (i)
    CASE (3,5,7)
      PRINT*, i, ": i is prime"
    CASE (10.1:)
      PRINT*, i, ": i >= 10"
    CASE DEFAULT
      PRINT*, i, ": i is not prime and is < 10"
  END SELECT

END PROGRAM select_example
